spec:
  inputs:
    image:
      default: ${CI_REGISTRY}/${CI_PROJECT_PATH}/project-image:latest
    stage:
      default: lint
    find_directory:
      default: "."
    find_options:
      default: "-iname '*.c' -o -iname '*.h'"
    format_style:
      default: microsoft
---

lint:clang-format:
  image: $[[ inputs.image ]]
  stage: $[[ inputs.stage ]]
  script:
    - find $[[ inputs.find_directory ]] $[[ inputs.find_options ]] | xargs clang-format -i --style=$[[ inputs.format_style ]]
    - git diff --exit-code || (echo "Code style issues found. Please run 'clang-format' locally." && exit 1)
